Profile
Retrieve User Profile Edit.
JWT Token Authentication. Enter "Bearer "
falseExample: false200Example: 200GET /api/v1/dashboard/profile/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
{
"hasError": false,
"statusCode": 200,
"message": {
"general": [
"text"
]
},
"response": {
"full_name": "text",
"email": "name@gmail.com",
"mobile": "text",
"gender": "Male",
"dob": "2026-01-01"
}
}Delete User Profile Edit.
JWT Token Authentication. Enter "Bearer "
falseExample: false200Example: 200DELETE /api/v1/dashboard/profile/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
{
"hasError": false,
"statusCode": 200,
"message": {
"general": [
"text"
]
},
"response": {
"full_name": "text",
"email": "name@gmail.com",
"mobile": "text",
"gender": "Male",
"dob": "2026-01-01"
}
}Partially update User Profile Edit.
JWT Token Authentication. Enter "Bearer "
falseExample: false200Example: 200PATCH /api/v1/dashboard/profile/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
{
"hasError": false,
"statusCode": 200,
"message": {
"general": [
"text"
]
},
"response": {
"full_name": "text",
"email": "name@gmail.com",
"mobile": "text",
"gender": "Male",
"dob": "2026-01-01"
}
}Retrieve Badges.
falseExample: false200Example: 200GET /api/v1/dashboard/profile/badges/{muid} HTTP/1.1
Accept: */*
{
"hasError": false,
"statusCode": 200,
"message": {
"general": [
"text"
]
},
"response": {
"full_name": "text",
"completed_tasks": [
"text"
]
}
}Create Reset Password.
JWT Token Authentication. Enter "Bearer "
Success
No content
POST /api/v1/dashboard/profile/change-password/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
Success
No content
Retrieve User Profile Cover.
JWT Token Authentication. Enter "Bearer "
falseExample: false200Example: 200GET /api/v1/dashboard/profile/cover-pic/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
{
"hasError": false,
"statusCode": 200,
"message": {
"general": [
"text"
]
},
"response": {
"id": "text",
"joined": "2026-01-01T00:00:00.000Z",
"full_name": "text",
"gender": "Male",
"muid": "text",
"roles": "text",
"role_verification": "text",
"lead_enabler_verified": "text",
"college_id": "text",
"college_code": "text",
"org_district_id": "text",
"karma": 1,
"rank": "text",
"karma_distribution": "text",
"level": "text",
"profile_pic": "text",
"cover_pic": "text",
"interest_groups": "text",
"is_public": true,
"percentile": "text"
}
}Create User Profile Cover.
JWT Token Authentication. Enter "Bearer "
falseExample: false200Example: 200POST /api/v1/dashboard/profile/cover-pic/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
{
"hasError": false,
"statusCode": 200,
"message": {
"general": [
"text"
]
},
"response": {
"id": "text",
"joined": "2026-01-01T00:00:00.000Z",
"full_name": "text",
"gender": "Male",
"muid": "text",
"roles": "text",
"role_verification": "text",
"lead_enabler_verified": "text",
"college_id": "text",
"college_code": "text",
"org_district_id": "text",
"karma": 1,
"rank": "text",
"karma_distribution": "text",
"level": "text",
"profile_pic": "text",
"cover_pic": "text",
"interest_groups": "text",
"is_public": true,
"percentile": "text"
}
}Delete User Profile Cover.
JWT Token Authentication. Enter "Bearer "
falseExample: false200Example: 200DELETE /api/v1/dashboard/profile/cover-pic/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
{
"hasError": false,
"statusCode": 200,
"message": {
"general": [
"text"
]
},
"response": {
"id": "text",
"joined": "2026-01-01T00:00:00.000Z",
"full_name": "text",
"gender": "Male",
"muid": "text",
"roles": "text",
"role_verification": "text",
"lead_enabler_verified": "text",
"college_id": "text",
"college_code": "text",
"org_district_id": "text",
"karma": 1,
"rank": "text",
"karma_distribution": "text",
"level": "text",
"profile_pic": "text",
"cover_pic": "text",
"interest_groups": "text",
"is_public": true,
"percentile": "text"
}
}Retrieve User Levels.
falseExample: false200Example: 200GET /api/v1/dashboard/profile/get-user-levels/ HTTP/1.1
Accept: */*
{
"hasError": false,
"statusCode": 200,
"message": {
"general": [
"text"
]
},
"response": {
"name": "text",
"tasks": "text",
"karma": 1
}
}Retrieve User Levels.
falseExample: false200Example: 200GET /api/v1/dashboard/profile/get-user-levels/{muid}/ HTTP/1.1
Accept: */*
{
"hasError": false,
"statusCode": 200,
"message": {
"general": [
"text"
]
},
"response": {
"name": "text",
"tasks": "text",
"karma": 1
}
}Retrieve User Ig Edit.
JWT Token Authentication. Enter "Bearer "
falseExample: false200Example: 200GET /api/v1/dashboard/profile/ig-edit/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
{
"hasError": false,
"statusCode": 200,
"message": {
"general": [
"text"
]
},
"response": {
"id": "text",
"name": "text"
}
}Partially update User Ig Edit.
JWT Token Authentication. Enter "Bearer "
falseExample: false200Example: 200PATCH /api/v1/dashboard/profile/ig-edit/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
{
"hasError": false,
"statusCode": 200,
"message": {
"general": [
"text"
]
},
"response": {}
}Retrieve Karma Feed.
falseExample: false200Example: 200GET /api/v1/dashboard/profile/karma-feed/ HTTP/1.1
Accept: */*
{
"hasError": false,
"statusCode": 200,
"message": {
"general": [
"text"
]
},
"response": {
"top_user": {
"karma": 1,
"full_name": "text",
"muid": "text"
},
"top_college": {
"karma": 1,
"name": "text"
}
}
}Retrieve User Permute.
falseExample: false200Example: 200GET /api/v1/dashboard/profile/permute/{muid}/ HTTP/1.1
Accept: */*
{
"hasError": false,
"statusCode": 200,
"message": {
"general": [
"text"
]
},
"response": {
"full_name": "text",
"user_domains": "text",
"college_name": "text"
}
}Retrieve Qrcode Retrieve.
falseExample: false200Example: 200GET /api/v1/dashboard/profile/qrcode-get/{uuid}/ HTTP/1.1
Accept: */*
{
"hasError": false,
"statusCode": 200,
"message": {
"general": [
"text"
]
},
"response": {
"profile_pic": "text"
}
}Retrieve User Rank.
falseExample: false200Example: 200GET /api/v1/dashboard/profile/rank/{muid}/ HTTP/1.1
Accept: */*
{
"hasError": false,
"statusCode": 200,
"message": {
"general": [
"text"
]
},
"response": {
"full_name": "text",
"role": "text",
"rank": "text",
"karma": "text",
"interest_groups": "text"
}
}Retrieve Share User Profile.
JWT Token Authentication. Enter "Bearer "
falseExample: false200Example: 200GET /api/v1/dashboard/profile/share-user-profile/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
{
"hasError": false,
"statusCode": 200,
"message": {
"general": [
"text"
]
},
"response": {
"is_public": true,
"updated_by": "text",
"updated_at": "text"
}
}Update Share User Profile.
JWT Token Authentication. Enter "Bearer "
falseExample: false200Example: 200PUT /api/v1/dashboard/profile/share-user-profile/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
{
"hasError": false,
"statusCode": 200,
"message": {
"general": [
"text"
]
},
"response": {
"is_public": true,
"updated_by": "text",
"updated_at": "text"
}
}Retrieve Share User Profile.
JWT Token Authentication. Enter "Bearer "
falseExample: false200Example: 200GET /api/v1/dashboard/profile/share-user-profile/{uuid}/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
{
"hasError": false,
"statusCode": 200,
"message": {
"general": [
"text"
]
},
"response": {
"is_public": true,
"updated_by": "text",
"updated_at": "text"
}
}Update Share User Profile.
JWT Token Authentication. Enter "Bearer "
falseExample: false200Example: 200PUT /api/v1/dashboard/profile/share-user-profile/{uuid}/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
{
"hasError": false,
"statusCode": 200,
"message": {
"general": [
"text"
]
},
"response": {
"is_public": true,
"updated_by": "text",
"updated_at": "text"
}
}Retrieve Get Socials.
falseExample: false200Example: 200GET /api/v1/dashboard/profile/socials/ HTTP/1.1
Accept: */*
{
"hasError": false,
"statusCode": 200,
"message": {
"general": [
"text"
]
},
"response": {
"github": "text",
"facebook": "text",
"instagram": "text",
"linkedin": "text",
"dribble": "text",
"behance": "text",
"stackoverflow": "text",
"medium": "text",
"hackerrank": "text"
}
}Retrieve Get Socials.
falseExample: false200Example: 200GET /api/v1/dashboard/profile/socials/{muid}/ HTTP/1.1
Accept: */*
{
"hasError": false,
"statusCode": 200,
"message": {
"general": [
"text"
]
},
"response": {
"github": "text",
"facebook": "text",
"instagram": "text",
"linkedin": "text",
"dribble": "text",
"behance": "text",
"stackoverflow": "text",
"medium": "text",
"hackerrank": "text"
}
}Update Socials.
JWT Token Authentication. Enter "Bearer "
Success
No content
PUT /api/v1/dashboard/profile/socials/edit/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
Success
No content
Retrieve User Level Feed.
falseExample: false200Example: 200GET /api/v1/dashboard/profile/user-level-feed/ HTTP/1.1
Accept: */*
{
"hasError": false,
"statusCode": 200,
"message": {
"general": [
"text"
]
},
"response": {
"name": "text",
"tasks": "text",
"karma": 1
}
}Retrieve User Log.
falseExample: false200Example: 200GET /api/v1/dashboard/profile/user-log/ HTTP/1.1
Accept: */*
{
"hasError": false,
"statusCode": 200,
"message": {
"general": [
"text"
]
},
"response": {
"task_name": "text",
"karma": 1,
"created_date": "text"
}
}Retrieve User Log.
falseExample: false200Example: 200GET /api/v1/dashboard/profile/user-log/{muid}/ HTTP/1.1
Accept: */*
{
"hasError": false,
"statusCode": 200,
"message": {
"general": [
"text"
]
},
"response": {
"task_name": "text",
"karma": 1,
"created_date": "text"
}
}Retrieve User Preferences.
JWT Token Authentication. Enter "Bearer "
falseExample: false200Example: 200GET /api/v1/dashboard/profile/user-preferences/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
{
"hasError": false,
"statusCode": 200,
"message": {
"general": [
"text"
]
},
"response": {
"domains": [
"text"
],
"endgoals": [
"text"
],
"orgs": [
{
"id": "text",
"name": "text"
}
]
}
}Partially update User Preferences.
JWT Token Authentication. Enter "Bearer "
Success
No content
PATCH /api/v1/dashboard/profile/user-preferences/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
Success
No content
Retrieve User Profile.
falseExample: false200Example: 200GET /api/v1/dashboard/profile/user-profile/ HTTP/1.1
Accept: */*
{
"hasError": false,
"statusCode": 200,
"message": {
"general": [
"text"
]
},
"response": {
"id": "text",
"joined": "2026-01-01T00:00:00.000Z",
"full_name": "text",
"gender": "Male",
"muid": "text",
"roles": "text",
"role_verification": "text",
"lead_enabler_verified": "text",
"college_id": "text",
"college_code": "text",
"org_district_id": "text",
"karma": 1,
"rank": "text",
"karma_distribution": "text",
"level": "text",
"profile_pic": "text",
"cover_pic": "text",
"interest_groups": "text",
"is_public": true,
"percentile": "text"
}
}Retrieve User Profile.
falseExample: false200Example: 200GET /api/v1/dashboard/profile/user-profile/{muid}/ HTTP/1.1
Accept: */*
{
"hasError": false,
"statusCode": 200,
"message": {
"general": [
"text"
]
},
"response": {
"id": "text",
"joined": "2026-01-01T00:00:00.000Z",
"full_name": "text",
"gender": "Male",
"muid": "text",
"roles": "text",
"role_verification": "text",
"lead_enabler_verified": "text",
"college_id": "text",
"college_code": "text",
"org_district_id": "text",
"karma": 1,
"rank": "text",
"karma_distribution": "text",
"level": "text",
"profile_pic": "text",
"cover_pic": "text",
"interest_groups": "text",
"is_public": true,
"percentile": "text"
}
}Retrieve Userterm.
falseExample: false200Example: 200GET /api/v1/dashboard/profile/userterm-approved/{muid}/ HTTP/1.1
Accept: */*
{
"hasError": false,
"statusCode": 200,
"message": {
"general": [
"text"
]
},
"response": {
"is_userterms_approved": true,
"user": "text"
}
}Create Userterm.
falseExample: false200Example: 200POST /api/v1/dashboard/profile/userterm-approved/{muid}/ HTTP/1.1
Accept: */*
{
"hasError": false,
"statusCode": 200,
"message": {
"general": [
"text"
]
},
"response": {
"is_userterms_approved": true,
"user": "text"
}
}Last updated
Was this helpful?

